/**
  *  \file u/helper.h
  *
  *  (c) 2001-2016 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_U_HELPER_H
#define PCC_V2_U_HELPER_H

#include "cxxtest/ValueTraits.h"
#include "cpluslib/sstring.h"

namespace CxxTest {
    CXXTEST_TEMPLATE_INSTANTIATION
    class ValueTraits<const simple_string> {
        simple_string s;
     public:
        ValueTraits(simple_string s)
            : s(s)
            { }
        const char* asString() const
            { return s.c_str(); }
    };

    CXXTEST_COPY_CONST_TRAITS(simple_string);
}

#endif
